MISSINdevelopersLog in

API reference

SetPartnerPostPlacementWindow

Set the in-video placement window, in seconds, of a YouTube post. Write access, posts toolset, MCP tool set_partner_post_placement_window.

Access: Write

Variables

VariableTypeRequiredAcceptsDescription
endIntno32-bit integer
postIdUUID!yes
startIntno32-bit integer

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetPartnerPostPlacementWindow","variables":{"postId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a78b99c2664fa9957f76ef423e10884ff7426f2200f0773d0a0e19def63a825c"}}}'

Document

graphql
mutation SetPartnerPostPlacementWindow($end: Int, $postId: UUID!, $start: Int) { __typename setPartnerPostPlacementWindow( input: {partnerPostId: $postId, startSeconds: $start, endSeconds: $end} ) { __typename partnerPost { __typename id ... on PartnerPostYoutubeVideo { __typename placementEndSeconds placementStartSeconds } } userErrors { __typename code field message } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.